Subject: [Sigtran] AS state change (as defined for M3UA)

From: "Sergey Mikhailov" <[email-masked]>
Date: Wed, 30 Nov 2005 16:52:55 +0300

Hi,

It seems that RFC3332 is not clear enough about AS state change (Section 4.3.2, Figure 4):

                   Figure 4: AS State Transition Diagram

        +----------+   one ASP trans to ACTIVE   +-------------+
        |    AS-   |---------------------------->|     AS-     |
        | INACTIVE |                             |   ACTIVE    |
        |          |<---                         |             |
        +----------+    \                        +-------------+
           ^   |         \ Tr Expiry,                ^    |
           |   |          \ at least one             |    |
           |   |           \ ASP in ASP-INACTIVE     |    |
           |   |            \                        |    |
           |   |             \                       |    |
           |   |              \                      |    |
   one ASP |   | all ASP       \            one ASP  |    | Last ACTIVE
   trans   |   | trans to       \           trans to |    | ASP trans to
   to      |   | ASP-DOWN        -------\   ASP-     |    | ASP-INACTIVE
   ASP-    |   |                         \  ACTIVE   |    | or ASP-DOWN
   INACTIVE|   |                          \          |    |  (start Tr)
           |   |                           \         |    |
           |   |                            \        |    |
           |   v                             \       |    v
        +----------+                          \  +-------------+
        |          |                           --|             |
        | AS-DOWN  |                             | AS-PENDING  |
        |          |                             |  (queuing)  |
        |          |<----------------------------|             |
        +----------+    Tr Expiry and no ASP     +-------------+
                        in ASP-INACTIVE state)

       Tr = Recovery Timer

IMHO, this picture is misleading for the case of Loadshare mode, because Section 4.3.4.3 (Page 82) says:

   An SGP or IPSP, upon reception of an ASP Active message for the first
   ASP in a Loadshare AS, MAY choose not to direct traffic to a newly
   active ASP until it determines that there are sufficient resources to
   handle the expected load (e.g., until there are "n" ASPs in state
   ASP-ACTIVE in the AS).  In this case, the SGP or IPSP SHOULD withhold
   the Notify (AS-ACTIVE) until there are sufficient resources.

Thus, 'one ASP trans to ACTIVE' on the picture above doesn't apply to Loadshare mode, because in Loadshare mode it is required to have "n" ASPs in state ASP-ACTIVE to move AS to AS-ACTIVE, i.e. enough ASPs to handle the expected load.

Regards,
Sergey Mikhailov.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 30 Nov 2005 07:12:18 -0700

Sergey,

>    (Section 4.3.2, Figure 4):

See the new diagram in the I-G and rfc3332bis.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Wed, 30 Nov 2005 17:20:13 +0300

That's right.
Thank you.

Regards,
Sergey Mikhailov.